Bug 1287105 - enable support ppc64/ppc64le and arm
enable support ppc64/ppc64le and arm
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: openblas (Show other bugs)
rawhide
ppc64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: PPCTracker
  Show dependency treegraph
 
Reported: 2015-12-01 09:06 EST by Ngo Than
Modified: 2016-01-31 20:54 EST (History)
2 users (show)

See Also:
Fixed In Version: openblas-0.2.15-2.fc23 openblas-0.2.15-2.fc22 openblas-0.2.15-5.el7 openblas-0.2.15-5.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-14 07:04:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ngo Than 2015-12-01 09:06:50 EST
openblas source has already support for ppc64/ppc64le and arm. It should be enable for these platforms

https://github.com/ibmsoe/OpenBLAS/commit/7ba4fe5afbc6fffdbc6cd2cc6f7ff72050135996
Comment 1 Susi Lehtola 2015-12-01 12:33:03 EST
(In reply to Ngo Than from comment #0)
> openblas source has already support for ppc64/ppc64le and arm. It should be
> enable for these platforms
> 
> https://github.com/ibmsoe/OpenBLAS/commit/
> 7ba4fe5afbc6fffdbc6cd2cc6f7ff72050135996

That's not OpenBLAS, that's a fork.
Comment 2 Susi Lehtola 2015-12-01 12:50:54 EST
Oh ok, it's been merged
https://github.com/xianyi/OpenBLAS/pull/612
Comment 3 Fedora Update System 2015-12-24 00:53:42 EST
openblas-0.2.15-2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-35a90d4541
Comment 4 Fedora Update System 2015-12-24 00:53:43 EST
openblas-0.2.15-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-c01db2e7ae
Comment 5 Fedora Update System 2015-12-24 20:57:50 EST
openblas-0.2.15-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-c01db2e7ae
Comment 6 Fedora Update System 2015-12-28 17:53:53 EST
openblas-0.2.15-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2015-12-30 15:56:00 EST
openblas-0.2.15-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-35a90d4541
Comment 8 marcindulak 2016-01-04 08:37:46 EST
Hi,

can you build also for epel7?
Comment 9 Susi Lehtola 2016-01-04 15:32:21 EST
(In reply to marcindulak from comment #8)
> Hi,
> 
> can you build also for epel7?

execstack isn't built on epel7 ppc64le.
Comment 10 marcindulak 2016-01-05 02:58:58 EST
But http://pkgs.fedoraproject.org/cgit/openblas.git/tree/openblas.spec has this comment:

"
# Upstream supports the package only on these architectures.
# Runtime processor detection is not available on other archs.
ExclusiveArch:  x86_64 %{ix86} armv7hl ppc64le
"

People read this just part and assume ppc64le openblas is available on epel7.
Can you make ExclusiveArch dependent on whether one is on fedora
or various 0%{?rhel} == X?
Comment 11 Fedora Update System 2016-01-05 13:16:50 EST
openblas-0.2.15-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b5d8b1465e
Comment 12 Fedora Update System 2016-01-05 13:16:51 EST
openblas-0.2.15-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6e4e9ae46c
Comment 13 Fedora Update System 2016-01-05 18:21:14 EST
openblas-0.2.15-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-6e4e9ae46c
Comment 14 Fedora Update System 2016-01-05 18:26:01 EST
openblas-0.2.15-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-b5d8b1465e
Comment 15 Fedora Update System 2016-01-07 22:24:10 EST
openblas-0.2.15-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2016-01-13 17:15:29 EST
openblas-0.2.15-5.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9156b5210b
Comment 17 Fedora Update System 2016-01-13 17:15:37 EST
openblas-0.2.15-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-49d61ed4db
Comment 18 Fedora Update System 2016-01-14 05:21:49 EST
openblas-0.2.15-5.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9156b5210b
Comment 19 Fedora Update System 2016-01-14 05:24:49 EST
openblas-0.2.15-5.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-49d61ed4db
Comment 20 Ngo Than 2016-01-14 07:04:24 EST
i can confirm that the openblas-0.2.15-2 build fine on ppc64le and on the arm Thanks!
Comment 21 Fedora Update System 2016-01-29 01:00:52 EST
openblas-0.2.15-5.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.
Comment 22 Fedora Update System 2016-01-31 20:54:01 EST
openblas-0.2.15-5.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.